Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.common
Interface IPropertiedDescriptor

All Known Subinterfaces:
  IConnectionFactoryDescriptor, IEventDescriptor, IServiceDescriptor

All Known Implementing Classes:
  AbstractPropertiedDescriptor

public interface IPropertiedDescriptor
extends IDescriptor

Represents a descriptor that can contain a set of properties (name/value).

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `addProperty(java.lang.String name, java.lang.String value)` Add a property to this descriptor.
`java.lang.String` | `getProperty(java.lang.String name)` Get the value of a property in this descriptor.
`java.util.Iterator` | `listPropertyNames()` Returns an iterator over all properties set for this descriptor.
`java.lang.String` | `removeProperty(java.lang.String name)` Remove a property from this descriptor.

Methods inherited from interface com.bea.wlai.common.IDescriptor
`fromXML, fromXML, fromXML, getDescription, getName, isReadOnly, makeReadOnly, setDescription, setName, toXML, toXML, toXML`

Method Detail

### addProperty

    public java.lang.String addProperty(java.lang.String name,
                                        java.lang.String value)

  Add a property to this descriptor. If a property with the given name already exists in this descriptor, its value will be replaced with the given value.

  Parameters:
    `name` - The name of the property.
    `value` - The value of the property.
  Returns:
    The value that was previously mapped to the given name, or null if no value was mapped or the mapped value was null.

### removeProperty

    public java.lang.String removeProperty(java.lang.String name)

  Remove a property from this descriptor.

  Parameters:
    `name` - The name of the property.
  Returns:
    The value that was mapped to the given name, or null if no value was mapped or the mapped value was null.

### getProperty

    public java.lang.String getProperty(java.lang.String name)

  Get the value of a property in this descriptor. If no property with the given name exists in this descriptor, null is returned.

  Parameters:
    `name` - The name of the property.
  Returns:
    The value of the property, or null if the property does not exist.

### listPropertyNames

    public java.util.Iterator listPropertyNames()

  Returns an iterator over all properties set for this descriptor.

  Returns:
    An Iterator over the names (String) of all properties for this descriptor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)